#include <bits/stdc++.h>
using namespace std;
int N,H,X,br;
bool P=true;
int main(){
    scanf("%d %d",&N,&H);
    for(int i=1;i<=N;i++){
        scanf("%d",&X);
        if(X>H and P)br++;
        else P=false;
    }

    if(P)printf("-1\n");
    else printf("%d\n",br+1);

    return 0;
}